Subject: [bitcoin-dev] Reminder on the Purpose of BIPs

From: Matt Corallo <[email-masked]>
Date: Sun, 25 Apr 2021 16:29:44 -0400

There appears to be some severe lack of understanding of the point of the BIP process here.

The BIP process exists to be a place for those in the Bitcoin development community (which includes anyone who wishes to 
participate in it!) to place specifications which may be important for others in the Bitcoin development community to 
see, to ensure interoperability.

It does not, should not, and has never existed to take any positions on...anything. It has always existed to allow those 
who wish to participate in the Bitcoin development community to publish proposed standards or deployed protocols, in 
whatever form the authors of the BIPs seem fit.

If anyone suggests changes with a BIP's proposed form in a way the original author does not agree with, they have always 
been free to, and should simply create a new BIP with their proposed form.

The BIP editor's role has always been, and should continue to be, to encourage BIP authors to respond to (either by 
dismissing or accepting) feedback on their BIPs, and encourage formatting in a standard form. The BIP editor's role has 
never included, and should not include, taking a stance on substantive changes to a BIP's contents - those are up to the 
author(s) of a BIP, and always have been.

If the BIP editor is deliberately refusing to accept changes which the author's approval (which appears to be occurring 
here), the broader development community (us) should either remove the BIP editor and replace them, or simply ignore the 
BIP repository entirely (which seems like the most likely outcome here). There really should be no debate over this 
point, and I'm not entirely sure why anyone would think there should be.

Luckily BIPs aren't really all that critical in this instance - they exist to communicate protocols for 
interoperability, and in this case the protocol changes as proposed have been broadly communicated already.

Still, given the apparent lack of desire to remove the BIP editor in this case, I'd suggest we all move on and simply 
ignore the BIP repository entirely. Simply sending notices of protocol systems to this mailing list is likely sufficient.

Matt

On 4/23/21 11:34, Antoine Riard via bitcoin-dev wrote:
> Hi Luke,
> 
> For the records and the subscribers of this list not following #bitcoin-core-dev, this mail follows a discussion which 
> did happen during yesterday irc meetings.
> Logs here : http://gnusha.org/bitcoin-core-dev/2021-04-22.log <http://gnusha.org/bitcoin-core-dev/2021-04-22.log>
> 
> I'll reiterate my opinion expressed during the meeting. If this proposal to extend the bip editorship membership doesn't 
> satisfy parties involved or anyone in the community, I'm strongly opposed to have the matter sliced by admins of the 
> Bitcoin github org. I believe that defect or uncertainty in the BIP Process shouldn't be solved by GH janitorial roles 
> and I think their roles don't bestow to intervene in case of loopholes. Further, you have far more contributors involved 
> in the BIP Process rather than only Bitcoin Core ones. FWIW, such precedent merits would be quite similar to lobby 
> directly GH staff...
> 
> Unless we harm Bitcoin users by not acting, I think we should always be respectful of procedural forms. And in the lack 
> of such forms, stay patient until a solution satisfy everyone.
> 
> I would recommend the BIP editorship, once extended or not, to move in its own repository in the future.
> 
> Cheers,
> Antoine
> 
> 
> 
> 
> Le jeu. 22 avr. 2021 à 22:09, Luke Dashjr via bitcoin-dev <[email-masked] 
> <mailto:[email-masked]>> a écrit :
> 
>     Unless there are objections, I intend to add Kalle Alm as a BIP editor to
>     assist in merging PRs into the bips git repo.
> 
>     Since there is no explicit process to adding BIP editors, IMO it should be
>     fine to use BIP 2's Process BIP progression:
> 
>      > A process BIP may change status from Draft to Active when it achieves
>      > rough consensus on the mailing list. Such a proposal is said to have
>      > rough consensus if it has been open to discussion on the development
>      > mailing list for at least one month, and no person maintains any
>      > unaddressed substantiated objections to it.
> 
>     A Process BIP could be opened for each new editor, but IMO that is
>     unnecessary. If anyone feels there is a need for a new Process BIP, we can go
>     that route, but there is prior precedent for BIP editors appointing new BIP
>     editors, so I think this should be fine.
> 
>     Please speak up soon if you disagree.
> 
>     Luke
>     _______________________________________________
>     bitcoin-dev mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>     <https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev>
> 
> 
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>